package Business::ID::BCA;

our $DATE = '2015-09-15'; # DATE
our $VERSION = '0.08'; # VERSION

use 5.010001;
use strict;
use warnings;

use Perinci::Sub::Gen::AccessTable qw(gen_read_table_func);

our %SPEC;

our @ISA       = qw(Exporter);
our @EXPORT_OK = qw(parse_bca_account);

# BEGIN FRAGMENT id=data
# note: This section is generated by a script. Do not edit manually!
# src-file: /mnt/home/s1/repos/gudangdata/table/bca_branch/data.csv
# src-revision: e5e7d7d6213322ba7b16ccf4c45f08b26a2b66b9
# revision-date: Tue Jul 30 19:54:30 2013 +0700
# generate-date: Tue Jul 30 19:54:50 2013
# generated-by: /mnt/home/s1/repos/gudangdata/bin/gen-perl-data-snippet
our $data = [
    ['0320','KCP Ambarawa','Ambarawa','2013-06-30',''],
    ['0044','KCU AMBON','Ambon','2013-06-30',''],
    ['0415','KCP Mardika','Ambon','2013-06-30',''],
    ['8580','KCP By Pass Ngurah Rai','Badung','2013-06-30',''],
    ['0404','KCP Kartika Plaza','Badung','2013-06-30',''],
    ['7810','KCP Pandan Sari','Balikpapan','2013-06-30',''],
    ['0191','KCU BALIKPAPAN','Balikpapan','2013-06-30',''],
    ['7815','KCP Balikpapan Baru','Balikpapan','2013-06-30',''],
    ['7825','KCP Karang Jati','Balikpapan','2013-06-30',''],
    ['0043','KCU BANDA ACEH','Banda Aceh','2013-06-30',''],
    ['7785','KCP Moh Jam','Banda Aceh','2013-06-30',''],
    ['0020','KCU BANDAR LAMPUNG','Bandar Lampung','2013-06-30',''],
    ['8905','KCP Kedaton','Bandar Lampung','2013-06-30',''],
    ['0294','KCP Pangeran Antasari','Bandar Lampung','2013-06-30',''],
    ['0292','KCP Pasar Tengah','Bandar Lampung','2013-06-30',''],
    ['0023','KCP Tanjung Karang','Bandar Lampung','2013-06-30',''],
    ['0430','KCP Teluk Betung','Bandar Lampung','2013-06-30',''],
    ['0437','KCU A. YANI','Bandung','2013-06-30',''],
    ['0243','KCP ABC','Bandung','2013-06-30',''],
    ['5150','KCP Abdul Rachman Saleh','Bandung','2013-06-30',''],
    ['5170','KCP Abdul Rivai','Bandung','2013-06-30',''],
    ['8090','KCP Ahmad Yani II','Bandung','2013-06-30',''],
    ['7840','KCP Astana Anyar','Bandung','2013-06-30',''],
    ['0449','KCP Banda','Bandung','2013-06-30',''],
    ['0008','KCU BANDUNG','Bandung','2013-06-30',''],
    ['7940','KCP Bandung Elctronic Center','Bandung','2013-06-30',''],
    ['5140','KCP Bandung Trade Centre','Bandung','2013-06-30',''],
    ['8470','KCP Batununggal','Bandung','2013-06-30',''],
    ['7750','KCP Buah Batu','Bandung','2013-06-30',''],
    ['0438','KCP Burangrang','Bandung','2013-06-30',''],
    ['0139','KCP Cimahi','Bandung','2013-06-30',''],
    ['7770','KCU DAGO','Bandung','2013-06-30',''],
    ['0337','KCP Dayeuhkolot','Bandung','2013-06-30',''],
    ['0279','KCP Dewi Sartika','Bandung','2013-06-30',''],
    ['8380','KCP Jamika','Bandung','2013-06-30',''],
    ['0280','KCP Kiaracondong','Bandung','2013-06-30',''],
    ['0176','KCP Kopo','Bandung','2013-06-30',''],
    ['8105','KCP Kopo Bihbul','Bandung','2013-06-30',''],
    ['0137','KCP Lembang','Bandung','2013-06-30',''],
    ['0453','KCP Lingkar Selatan','Bandung','2013-06-30',''],
    ['0376','KCP Majalaya','Bandung','2013-06-30',''],
    ['0282','KCP Maranatha','Bandung','2013-06-30',''],
    ['8100','KCP Mohamad Toha','Bandung','2013-06-30',''],
    ['0278','KCP Padalarang','Bandung','2013-06-30',''],
    ['8320','KCP Pahlawan','Bandung','2013-06-30',''],
    ['0016','KCP Pasir Kaliki','Bandung','2013-06-30',''],
    ['8480','KCP  Pasirkaliki Atas','Bandung','2013-06-30',''],
    ['0281','KCP Rajawali','Bandung','2013-06-30',''],
    ['0086','KCP Riau','Bandung','2013-06-30',''],
    ['0233','KCP Setiabudi','Bandung','2013-06-30',''],
    ['0346','KCU SOEKARNO HATTA','Bandung','2013-06-30',''],
    ['0085','KCP Sudirman','Bandung','2013-06-30',''],
    ['0157','KCP Sumbersari','Bandung','2013-06-30',''],
    ['0156','KCP Sunda Mall','Bandung','2013-06-30',''],
    ['0063','KCP Suniaraja','Bandung','2013-06-30',''],
    ['0379','KCP Taman Kopo Indah','Bandung','2013-06-30',''],
    ['0283','KCP Ujung Berung','Bandung','2013-06-30',''],
    ['0185','KCU BANGKALAN','Bangkalan','2013-06-30',''],
    ['0203','KCP Banjar','Banjar','2013-06-30',''],
    ['7820','KCP A. Yani','Banjarmasin','2013-06-30',''],
    ['8275','KCP A. Yani II','Banjarmasin','2013-06-30',''],
    ['7895','KCP Banjar Baru','Banjarmasin','2013-06-30',''],
    ['0051','KCU BANJARMASIN','Banjarmasin','2013-06-30',''],
    ['8695','KCP Tanjung','Banjarmasin','2013-06-30',''],
    ['0357','KCP Banjarnegara','Banjarnegara','2013-06-30',''],
    ['8055','KCP KM 12','Banyuasin','2013-06-30',''],
    ['0180','KCU BANYUWANGI','Banyuwangi','2013-06-30',''],
    ['0263','KCP Genteng','Banyuwangi','2013-06-30',''],
    ['8980','KCP Jajag','Banyuwangi','2013-06-30',''],
    ['0351','KCP Muncar','Banyuwangi','2013-06-30',''],
    ['0264','KCP Rogojampi','Banyuwangi','2013-06-30',''],
    ['0061','KCU BATAM','Batam','2013-06-30',''],
    ['8210','KCP Batam Center','Batam','2013-06-30',''],
    ['8335','KCP Bengkong','Batam','2013-06-30',''],
    ['0326','KCP Muka Kuning','Batam','2013-06-30',''],
    ['0340','KCP Nagoya','Batam','2013-06-30',''],
    ['8520','KCP Penuin','Batam','2013-06-30',''],
    ['8550','KCP Tanjung Uncang','Batam','2013-06-30',''],
    ['0249','KCP Batang','Batang','2013-06-30',''],
    ['0019','KCP Batu','Batu','2013-06-30',''],
    ['8285','KCP Indrapura ','Batubara','2013-06-30',''],
    ['0257','KCP Baturaja','Baturaja','2013-06-30',''],
    ['0066','KCU BEKASI','Bekasi','2013-06-30',''],
    ['5210','KCP Bulevar Hijau','Bekasi','2013-06-30',''],
    ['5775','KCP Cibitung','Bekasi','2013-06-30',''],
    ['0343','KCP Cikarang','Bekasi','2013-06-30',''],
    ['8850','KCP Grand Centre Bekasi','Bekasi','2013-06-30',''],
    ['6630','KCP Grand Mall Bekasi','Bekasi','2013-06-30',''],
    ['0486','KCP ISM Cibitung','Bekasi','2013-06-30',''],
    ['7510','KCP Jatibening','Bekasi','2013-06-30',''],
    ['7390','KCP Juanda','Bekasi','2013-06-30',''],
    ['5680','KCP Kemang Pratama','Bekasi','2013-06-30',''],
    ['5220','KCP Lippo Cikarang','Bekasi','2013-06-30',''],
    ['8730','KCP Metro Jababeka','Bekasi','2013-06-30',''],
    ['8415','KCP Pondok Timur','Bekasi','2013-06-30',''],
    ['7410','KCP Pondok Ungu Bekasi','Bekasi','2013-06-30',''],
    ['8760','KCP Ruko Jababeka','Bekasi','2013-06-30',''],
    ['5780','KCP Ruko Kalimas','Bekasi','2013-06-30',''],
    ['5770','KCP Taman Galaxi','Bekasi','2013-06-30',''],
    ['8420','KCP Tambun','Bekasi','2013-06-30',''],
    ['6880','KCP Union Square','Bekasi','2013-06-30',''],
    ['8325','KCP Bengkalis','Bengkalis','2013-06-30',''],
    ['8215','KCP Duri  ','Bengkalis','2013-06-30',''],
    ['0058','KCU BENGKULU','Bengkulu','2013-06-30',''],
    ['0175','KCP Binjai','Binjai','2013-06-30',''],
    ['7875','KCP Bireuen','Bireuen','2013-06-30',''],
    ['0053','KCP Bitung','Bitung','2013-06-30',''],
    ['0090','KCU BLITAR','Blitar','2013-06-30',''],
    ['0322','KCP Wlingi','Blitar','2013-06-30',''],
    ['0196','KCP Blora','Blora','2013-06-30',''],
    ['0095','KCU BOGOR','Bogor','2013-06-30',''],
    ['0406','KCP Cileungsi','Bogor','2013-06-30',''],
    ['8410','KCP Ciluar','Bogor','2013-06-30',''],
    ['6820','KCP Jembatan Merah','Bogor','2013-06-30',''],
    ['5720','KCP Mayor Oking','Bogor','2013-06-30',''],
    ['7380','KCP Pajajaran','Bogor','2013-06-30',''],
    ['5735','KCP Puri Begawan','Bogor','2013-06-30',''],
    ['8720','KCP Raya Baru Bogor','Bogor','2013-06-30',''],
    ['0427','KCP Siliwangi','Bogor','2013-06-30',''],
    ['7370','KCP Surya Kencana','Bogor','2013-06-30',''],
    ['7360','KCP Tajur','Bogor','2013-06-30',''],
    ['0174','KCP Taman Topi Square','Bogor','2013-06-30',''],
    ['8640','KCP Bojonegoro','Bojonegoro','2013-06-30',''],
    ['0120','KCP Bondowoso','Bondowoso','2013-06-30',''],
    ['6705','KCP Bontang','Bontang','2013-06-30',''],
    ['0143','KCP Boyolali','Boyolali','2013-06-30',''],
    ['0131','KCP Brebes','Brebes','2013-06-30',''],
    ['0159','KCP Bumiayu','Brebes','2013-06-30',''],
    ['0133','KCP Jatibarang','Brebes','2013-06-30',''],
    ['0361','KCP Ketanggungan Timur','Brebes','2013-06-30',''],
    ['8125','KCP Aur Kuning','Bukittinggi','2013-06-30',''],
    ['8050','KCU BUKIT TINGGI','Bukittinggi','2013-06-30',''],
    ['0354','KCP Cepu','Cepu','2013-06-30',''],
    ['0138','KCP Ciamis','Ciamis','2013-06-30',''],
    ['0183','KCU CIANJUR','Cianjur','2013-06-30',''],
    ['0197','KCP Cipanas','Cianjur','2013-06-30',''],
    ['0431','KCP Ciranjang','Cianjur','2013-06-30',''],
    ['0348','KCP Dewi Sartika','Cianjur','2013-06-30',''],
    ['0402','KCP Mangunsarkoro','Cianjur','2013-06-30',''],
    ['0166','KCP Cimanggis','Cibinong','2013-06-30',''],
    ['0167','KCP Graha Cibinong','Cibinong','2013-06-30',''],
    ['5725','KCP Kota Wisata','Cibinong','2013-06-30',''],
    ['6830','KCP Pasar Cibinong','Cibinong','2013-06-30',''],
    ['0096','KCU CILACAP','Cilacap','2013-06-30',''],
    ['0422','KCP Kroya','Cilacap','2013-06-30',''],
    ['0434','KCP Lomanis','Cilacap','2013-06-30',''],
    ['0433','KCP Majenang','Cilacap','2013-06-30',''],
    ['8930','KCP Sidareja','Cilacap','2013-06-30',''],
    ['0295','KCP Cilegon','Cilegon','2013-06-30',''],
    ['6520','KCP Cilegon II','Cilegon','2013-06-30',''],
    ['0067','KCP Ciputat','Ciputat','2013-06-30',''],
    ['6760','KCP Cirendeu','Ciputat','2013-06-30',''],
    ['6090','KCP Golden Point Center','Ciputat','2013-06-30',''],
    ['0374','KCP Cipto Mangunkusumo','Cirebon','2013-06-30',''],
    ['0134','KCU CIREBON','Cirebon','2013-06-30',''],
    ['8180','KCP Pekalipan','Cirebon','2013-06-30',''],
    ['7745','KCP Plered','Cirebon','2013-06-30',''],
    ['0304','KCP Sindang Laut Cirebon','Cirebon','2013-06-30',''],
    ['0189','KCP Curup','Curup','2013-06-30',''],
    ['7720','KCP By Pass Mumbul','Denpasar','2013-06-30',''],
    ['0435','KCP Cokroaminoto','Denpasar','2013-06-30',''],
    ['0040','KCU DENPASAR','Denpasar','2013-06-30',''],
    ['6115','KCP Gatot Subroto Barat','Denpasar','2013-06-30',''],
    ['6690','KCP Gatot Subroto Denpasar','Denpasar','2013-06-30',''],
    ['6110','KCP Grand Sudirman','Denpasar','2013-06-30',''],
    ['0049','KCP Maluku','Denpasar','2013-06-30',''],
    ['6130','KCP Raya Kuta - CCR','Denpasar','2013-06-30',''],
    ['7725','KCP Renon','Denpasar','2013-06-30',''],
    ['7670','KCP Sesetan','Denpasar','2013-06-30',''],
    ['7680','KCP Teuku Umar Denpasar','Denpasar','2013-06-30',''],
    ['7730','KCP WR Supratman','Denpasar','2013-06-30',''],
    ['0204','KCP Bukit Cinere Indah','Depok','2013-06-30',''],
    ['7650','KCP Depok Asri','Depok','2013-06-30',''],
    ['5465','KCP Kelapa Dua','Depok','2013-06-30',''],
    ['8690','KCU MARGONDA','Depok','2013-06-30',''],
    ['7150','KCP Nusantara','Depok','2013-06-30',''],
    ['6610','KCP Proklamasi Depok','Depok','2013-06-30',''],
    ['0421','KCP Margo City','Depok','2013-06-30',''],
    ['6550','KCP Abdul Muis','DKI Jakarta','2013-06-30',''],
    ['5040','KCP Adhi Graha','DKI Jakarta','2013-06-30',''],
    ['7460','KCP Agung Sedayu II','DKI Jakarta','2013-06-30',''],
    ['0494','KCP Alaydrus','DKI Jakarta','2013-06-30',''],
    ['5870','KCP AM Sangaji','DKI Jakarta','2013-06-30',''],
    ['0211','KCP Ancol','DKI Jakarta','2013-06-30',''],
    ['5850','KCP Angke','DKI Jakarta','2013-06-30',''],
    ['6010','KCP Arjuna','DKI Jakarta','2013-06-30',''],
    ['5405','KCP Arkadia','DKI Jakarta','2013-06-30',''],
    ['8400','KCP Artha Gading','DKI Jakarta','2013-06-30',''],
    ['7600','KCP Jatinegara Barat','DKI Jakarta','2013-06-30',''],
    ['0496','KCP Jatinegara Timur','DKI Jakarta','2013-06-30',''],
    ['0083','KCP Jayakarta','DKI Jakarta','2013-06-30',''],
    ['0488','KCP Jelambar','DKI Jakarta','2013-06-30',''],
    ['5280','KCP Jelambar Baru Raya','DKI Jakarta','2013-06-30',''],
    ['0074','KCP Jembatan Dua','DKI Jakarta','2013-06-30',''],
    ['0105','KCP Jembatan Lima','DKI Jakarta','2013-06-30',''],
    ['0241','KCP Jembatan Merah','DKI Jakarta','2013-06-30',''],
    ['5350','KCP Juanda III','DKI Jakarta','2013-06-30',''],
    ['0164','KCP Kalimalang','DKI Jakarta','2013-06-30',''],
    ['0230','KCU KALIMALANG','DKI Jakarta','2013-06-30',''],
    ['0313','KCP Kapuk Kamal','DKI Jakarta','2013-06-30',''],
    ['0408','KCP Kapuk Muara','DKI Jakarta','2013-06-30',''],
    ['0370','KCP Karang Anyar','DKI Jakarta','2013-06-30',''],
    ['6970','KCP Kartini','DKI Jakarta','2013-06-30',''],
    ['5920','KCP Kaveling Polri','DKI Jakarta','2013-06-30',''],
    ['0484','KCP Keamanan','DKI Jakarta','2013-06-30',''],
    ['6790','KCP Kebayoran Blok M','DKI Jakarta','2013-06-30',''],
    ['0287','KCP Kebon Jeruk','DKI Jakarta','2013-06-30',''],
    ['0309','KCP Kedoya Baru','DKI Jakarta','2013-06-30',''],
    ['0372','KCU KEDOYA PERMAI','DKI Jakarta','2013-06-30',''],
    ['0065','KCU KELAPA GADING','DKI Jakarta','2013-06-30',''],
    ['0227','KCP Kelapa Gading','DKI Jakarta','2013-06-30',''],
    ['6300','KCP Kelapa Gading Hibrida','DKI Jakarta','2013-06-30',''],
    ['6320','KCP Kelapa Gading Raya','DKI Jakarta','2013-06-30',''],
    ['0413','KCP Kelapa Gading Villa','DKI Jakarta','2013-06-30',''],
    ['6840','KCP KEM Tower','DKI Jakarta','2013-06-30',''],
    ['0286','KCP Kemang','DKI Jakarta','2013-06-30',''],
    ['6220','KCP Kemang Mansion','DKI Jakarta','2013-06-30',''],
    ['5500','KCP Kemanggisan','DKI Jakarta','2013-06-30',''],
    ['0127','KCP Kepa Duri','DKI Jakarta','2013-06-30',''],
    ['0401','KCP Ketapang','DKI Jakarta','2013-06-30',''],
    ['0179','KCP KHM Mansyur','DKI Jakarta','2013-06-30',''],
    ['5860','KCP KHM Mansyur II','DKI Jakarta','2013-06-30',''],
    ['8310','KCP Kirana Boutique','DKI Jakarta','2013-06-30',''],
    ['0412','KCP Klender','DKI Jakarta','2013-06-30',''],
    ['7560','KCP Komp. Taman Kota','DKI Jakarta','2013-06-30',''],
    ['5930','KCP Kosambi','DKI Jakarta','2013-06-30',''],
    ['0165','KCP Kramat Jati','DKI Jakarta','2013-06-30',''],
    ['0414','KCP Kramat Jaya','DKI Jakarta','2013-06-30',''],
    ['7000','KCP Kramat Jaya Baru','DKI Jakarta','2013-06-30',''],
    ['7520','KCP Krekot Bunder','DKI Jakarta','2013-06-30',''],
    ['5260','KCP KS Tubun','DKI Jakarta','2013-06-30',''],
    ['0217','KCU KUNINGAN','DKI Jakarta','2013-06-30',''],
    ['6860','KCP Kwitang','DKI Jakarta','2013-06-30',''],
    ['5710','KCP Kyai Caringin','DKI Jakarta','2013-06-30',''],
    ['0311','KCP Latumenten','DKI Jakarta','2013-06-30',''],
    ['6450','KCP Lindeteves','DKI Jakarta','2013-06-30',''],
    ['5885','KCP Lindeteves Trade Center','DKI Jakarta','2013-06-30',''],
    ['5285','KCP Lodan Center','DKI Jakarta','2013-06-30',''],
    ['0485','KCP Lokasari','DKI Jakarta','2013-06-30',''],
    ['5295','KCP Mahkota Ancol','DKI Jakarta','2013-06-30',''],
    ['0466','KCP Mal Ciputra','DKI Jakarta','2013-06-30',''],
    ['8705','KCP Mal Kelapa Gading III','DKI Jakarta','2013-06-30',''],
    ['7310','KCP Mal Pondok Indah','DKI Jakarta','2013-06-30',''],
    ['0467','KCP Mal Taman Anggrek','DKI Jakarta','2013-06-30',''],
    ['5415','KCP Mall Grand Indonesia','DKI Jakarta','2013-06-30',''],
    ['0307','KCP Mandala','DKI Jakarta','2013-06-30',''],
    ['0398','KCP Mandala Raya','DKI Jakarta','2013-06-30',''],
    ['0161','KCP Mangga Besar','DKI Jakarta','2013-06-30',''],
    ['5880','KCP Mangga Besar Raya','DKI Jakarta','2013-06-30',''],
    ['6980','KCP Mangga Besar VIII','DKI Jakarta','2013-06-30',''],
    ['0160','KCP Mangga Dua','DKI Jakarta','2013-06-30',''],
    ['0480','KCP Mangga Dua ITC ','DKI Jakarta','2013-06-30',''],
    ['6930','KCP Mangga Dua Mal','DKI Jakarta','2013-06-30',''],
    ['0335','KCU MANGGA DUA RAYA','DKI Jakarta','2013-06-30',''],
    ['5910','KCP Mangga Dua Square','DKI Jakarta','2013-06-30',''],
    ['6275','KCP Manyar','DKI Jakarta','2013-06-30',''],
    ['0342','KCU MATRAMAN','DKI Jakarta','2013-06-30',''],
    ['0228','KCP Mayestik','DKI Jakarta','2013-06-30',''],
    ['5015','KCP Mega Kuningan','DKI Jakarta','2013-06-30',''],
    ['0070','KCP Melawai','DKI Jakarta','2013-06-30',''],
    ['6350','KCP Menara Ancol','DKI Jakarta','2013-06-30',''],
    ['5460','KCP Menara Batavia','DKI Jakarta','2013-06-30',''],
    ['0205','KCU MENARA BCA','DKI Jakarta','2013-06-30',''],
    ['0450','KCU MENARA BIDAKARA','DKI Jakarta','2013-06-30',''],
    ['0221','KCP Menara Imperium','DKI Jakarta','2013-06-30',''],
    ['0255','KCP Menara Mulia','DKI Jakarta','2013-06-30',''],
    ['5425','KCP Menara Palma','DKI Jakarta','2013-06-30',''],
    ['7350','KCP Menteng','DKI Jakarta','2013-06-30',''],
    ['5360','KCP Metro Pasar Baru','DKI Jakarta','2013-06-30',''],
    ['6260','KCP Metro Tanah Abang','DKI Jakarta','2013-06-30',''],
    ['6815','KCP MNC Plaza','DKI Jakarta','2013-06-30',''],
    ['0210','KCP Monginsidi','DKI Jakarta','2013-06-30',''],
    ['7160','KCP MT Haryono Cawang','DKI Jakarta','2013-06-30',''],
    ['0069','KCU MUARA KARANG','DKI Jakarta','2013-06-30',''],
    ['0407','KCP Muara Karang 3','DKI Jakarta','2013-06-30',''],
    ['8040','KCP Muara Karang Utara','DKI Jakarta','2013-06-30',''],
    ['7015','KCP Mutiara Taman Palem','DKI Jakarta','2013-06-30',''],
    ['5785','KCP Niaga Grisenda','DKI Jakarta','2013-06-30',''],
    ['5530','KCP Otista','DKI Jakarta','2013-06-30',''],
    ['5375','KCP Pacific Place','DKI Jakarta','2013-06-30',''],
    ['0487','KCP Pademangan','DKI Jakarta','2013-06-30',''],
    ['0229','KCP Palmerah','DKI Jakarta','2013-06-30',''],
    ['0194','KCU PANGERAN JAYAKARTA','DKI Jakarta','2013-06-30',''],
    ['5660','KCP Panglima Polim Raya','DKI Jakarta','2013-06-30',''],
    ['8740','KCP Pantai Indah Kapuk','DKI Jakarta','2013-06-30',''],
    ['8650','KCP Pantai Indah Kapuk II','DKI Jakarta','2013-06-30',''],
    ['0002','KCU PASAR BARU','DKI Jakarta','2013-06-30',''],
    ['0305','KCP Pasar Cikini','DKI Jakarta','2013-06-30',''],
    ['0001','KCU ASEMKA','DKI Jakarta','2013-06-30',''],
    ['6850','KCP Atrium','DKI Jakarta','2013-06-30',''],
    ['8810','KCP Balai Pustaka','DKI Jakarta','2013-06-30',''],
    ['5830','KCP Bandengan Utara Raya','DKI Jakarta','2013-06-30',''],
    ['0224','KCP Batu Ceper','DKI Jakarta','2013-06-30',''],
    ['0301','KCP Bendungan Hilir','DKI Jakarta','2013-06-30',''],
    ['5440','KCP Biak','DKI Jakarta','2013-06-30',''],
    ['5270','KCP Bina Nusantara','DKI Jakarta','2013-06-30',''],
    ['5010','KCP Bintaro','DKI Jakarta','2013-06-30',''],
    ['6030','KCP Bintaro Utama','DKI Jakarta','2013-06-30',''],
    ['0476','KCP Pasar Cipulir','DKI Jakarta','2013-06-30',''],
    ['6825','KCP Pasar Induk Kramat Jati','DKI Jakarta','2013-06-30',''],
    ['5740','KCP Pasar Jatinegara','DKI Jakarta','2013-06-30',''],
    ['0248','KCP Pasar Kebayoran Lama','DKI Jakarta','2013-06-30',''],
    ['0068','KCP Pasar Kenari','DKI Jakarta','2013-06-30',''],
    ['0128','KCP Pasar Minggu','DKI Jakarta','2013-06-30',''],
    ['5470','KCP Pasar Minggu Center','DKI Jakarta','2013-06-30',''],
    ['6360','KCP Pasar Pagi Mangga Dua','DKI Jakarta','2013-06-30',''],
    ['7540','KCP Pasar Puri Indah','DKI Jakarta','2013-06-30',''],
    ['0369','KCP Pasar Tanah Abang','DKI Jakarta','2013-06-30',''],
    ['5890','KCP Pecenongan','DKI Jakarta','2013-06-30',''],
    ['6310','KCP Pegambiran','DKI Jakarta','2013-06-30',''],
    ['5290','KCP Pejagalan','DKI Jakarta','2013-06-30',''],
    ['7180','KCP Pejaten','DKI Jakarta','2013-06-30',''],
    ['6900','KCP Pelabuhan Tanjung Priok','DKI Jakarta','2013-06-30',''],
    ['0111','KCP Penjernihan','DKI Jakarta','2013-06-30',''],
    ['7420','KCP Percetakan Negara','DKI Jakarta','2013-06-30',''],
    ['0178','KCP Permata Hijau','DKI Jakarta','2013-06-30',''],
    ['5215','KCP Permata Kota','DKI Jakarta','2013-06-30',''],
    ['6240','KCP Permata Ujung Menteng','DKI Jakarta','2013-06-30',''],
    ['5300','KCP Perniagaan Timur','DKI Jakarta','2013-06-30',''],
    ['5340','KCP Pinangsia ','DKI Jakarta','2013-06-30',''],
    ['0106','KCP Pintu Air','DKI Jakarta','2013-06-30',''],
    ['0441','KCP Plaza Sentral','DKI Jakarta','2013-06-30',''],
    ['0168','KCU PLUIT','DKI Jakarta','2013-06-30',''],
    ['0244','KCP Pluit Kencana','DKI Jakarta','2013-06-30',''],
    ['5810','KCP Pluit Mega Mal','DKI Jakarta','2013-06-30',''],
    ['6020','KCP Pluit Samudra','DKI Jakarta','2013-06-30',''],
    ['0386','KCP Pluit Timur','DKI Jakarta','2013-06-30',''],
    ['0274','KCP Pondok Bambu','DKI Jakarta','2013-06-30',''],
    ['0291','KCU PONDOK INDAH','DKI Jakarta','2013-06-30',''],
    ['0237','KCP Pondok Indah','DKI Jakarta','2013-06-30',''],
    ['6590','KCP Prima Sunter','DKI Jakarta','2013-06-30',''],
    ['7530','KCP PRJ Kemayoran','DKI Jakarta','2013-06-30',''],
    ['0275','KCP Pulogadung','DKI Jakarta','2013-06-30',''],
    ['7080','KCP Pulogadung Trade Center','DKI Jakarta','2013-06-30',''],
    ['8870','KCP Puri Botanical','DKI Jakarta','2013-06-30',''],
    ['6430','KCP Puri Deltamas','DKI Jakarta','2013-06-30',''],
    ['0288','KCU PURI INDAH','DKI Jakarta','2013-06-30',''],
    ['7030','KCP Puri Kembangan','DKI Jakarta','2013-06-30',''],
    ['5495','KCP Puri Mansion','DKI Jakarta','2013-06-30',''],
    ['6340','KCP Raden Saleh','DKI Jakarta','2013-06-30',''],
    ['0219','KCP Radio Dalam','DKI Jakarta','2013-06-30',''],
    ['6390','KCP Rajawali','DKI Jakarta','2013-06-30',''],
    ['7090','KCP Rantai Mulia Kencana','DKI Jakarta','2013-06-30',''],
    ['5250','KCP Ratu Plaza','DKI Jakarta','2013-06-30',''],
    ['0094','KCU RAWAMANGUN','DKI Jakarta','2013-06-30',''],
    ['5790','KCP Rawasari','DKI Jakarta','2013-06-30',''],
    ['0004','KCP Regional Tanah Abang','DKI Jakarta','2013-06-30',''],
    ['0491','KCP Relasi Indah','DKI Jakarta','2013-06-30',''],
    ['6440','KCP Ricci','DKI Jakarta','2013-06-30',''],
    ['0270','KCP Roxi Mas','DKI Jakarta','2013-06-30',''],
    ['0373','KCP Roxy Square','DKI Jakarta','2013-06-30',''],
    ['0075','KCP Sabang','DKI Jakarta','2013-06-30',''],
    ['5750','KCP Saharjo','DKI Jakarta','2013-06-30',''],
    ['5265','KCP Sahid Sudirman Residence','DKI Jakarta','2013-06-30',''],
    ['0477','KCP Samanhudi','DKI Jakarta','2013-06-30',''],
    ['5235','KCP Sampoerna Strategic Square','DKI Jakarta','2013-06-30',''],
    ['0284','KCP Sawah Besar','DKI Jakarta','2013-06-30',''],
    ['5370','KCP Seasons City','DKI Jakarta','2013-06-30',''],
    ['5540','KCP Sejati Mulia','DKI Jakarta','2013-06-30',''],
    ['5345','KCP Semanggi','DKI Jakarta','2013-06-30',''],
    ['5005','KCP Senayan City','DKI Jakarta','2013-06-30',''],
    ['0091','KCP Senen','DKI Jakarta','2013-06-30',''],
    ['8780','KCP Sentral Cikini','DKI Jakarta','2013-06-30',''],
    ['7660','KCP Setiabudi Atrium','DKI Jakarta','2013-06-30',''],
    ['6000','KCP Soepomo','DKI Jakarta','2013-06-30',''],
    ['0035','KCU SUDIRMAN','DKI Jakarta','2013-06-30',''],
    ['5245','KCP Sudirman Park','DKI Jakarta','2013-06-30',''],
    ['5385','KCP Summitmas','DKI Jakarta','2013-06-30',''],
    ['6500','KCP Sunrise Garden','DKI Jakarta','2013-06-30',''],
    ['0093','KCP Sunter','DKI Jakarta','2013-06-30',''],
    ['5820','KCP Sunter Bisma','DKI Jakarta','2013-06-30',''],
    ['0419','KCP Sunter Danau','DKI Jakarta','2013-06-30',''],
    ['0428','KCU SUNTER MALL','DKI Jakarta','2013-06-30',''],
    ['0261','KCU SURYOPRANOTO','DKI Jakarta','2013-06-30',''],
    ['5225','KCP Talavera','DKI Jakarta','2013-06-30',''],
    ['0489','KCP Taman Aries','DKI Jakarta','2013-06-30',''],
    ['0277','KCU TAMAN DUTA MAS','DKI Jakarta','2013-06-30',''],
    ['5380','KCP Taman Harapan Indah','DKI Jakarta','2013-06-30',''],
    ['5310','KCP Taman Kencana','DKI Jakarta','2013-06-30',''],
    ['7570','KCP Taman Palem Lestari','DKI Jakarta','2013-06-30',''],
    ['0490','KCP Taman Permata Buana','DKI Jakarta','2013-06-30',''],
    ['7630','KCP Taman Permata Indah II','DKI Jakarta','2013-06-30',''],
    ['0162','KCP Taman Ratu','DKI Jakarta','2013-06-30',''],
    ['0285','KCP Taman Sari','DKI Jakarta','2013-06-30',''],
    ['5490','KCP Taman Semanan Indah','DKI Jakarta','2013-06-30',''],
    ['5000','KCP Taman Sunter Indah','DKI Jakarta','2013-06-30',''],
    ['6540','KCP Tanah Abang 2','DKI Jakarta','2013-06-30',''],
    ['8390','KCP Tanah Abang Blok A','DKI Jakarta','2013-06-30',''],
    ['5335','KCP Tanah Abang Blok B','DKI Jakarta','2013-06-30',''],
    ['0336','KCP Tanah Abang Zona 3','DKI Jakarta','2013-06-30',''],
    ['0076','KCP Tanjung Duren','DKI Jakarta','2013-06-30',''],
    ['7050','KCP Tanjung Duren 2','DKI Jakarta','2013-06-30',''],
    ['0007','KCU TANJUNG PRIOK','DKI Jakarta','2013-06-30',''],
    ['0092','KCP Tebet','DKI Jakarta','2013-06-30',''],
    ['0436','KCP Tebet Barat','DKI Jakarta','2013-06-30',''],
    ['6270','KCP Tebet Barat 2','DKI Jakarta','2013-06-30',''],
    ['6290','KCP Tebet Timur','DKI Jakarta','2013-06-30',''],
    ['5320','KCP Telepon Kota','DKI Jakarta','2013-06-30',''],
    ['0218','KCU BLOK A CIPETE','DKI Jakarta','2013-06-30',''],
    ['0479','KCP Bojong Indah','DKI Jakarta','2013-06-30',''],
    ['6080','KCP Bona Indah','DKI Jakarta','2013-06-30',''],
    ['6600','KCP Boulevard Timur','DKI Jakarta','2013-06-30',''],
    ['6330','KCP Buaran Raya','DKI Jakarta','2013-06-30',''],
    ['0391','KCP Bungur ','DKI Jakarta','2013-06-30',''],
    ['0458','KCP Bursa Efek Jakarta','DKI Jakarta','2013-06-30',''],
    ['6560','KCP Business Park','DKI Jakarta','2013-06-30',''],
    ['5730','KCP C\' One Plaza','DKI Jakarta','2013-06-30',''],
    ['8060','KCP CBD Pluit','DKI Jakarta','2013-06-30',''],
    ['0481','KCP Teluk Mas','DKI Jakarta','2013-06-30',''],
    ['5045','KCP Tempo Scan Tower','DKI Jakarta','2013-06-30',''],
    ['0206','KCU THAMRIN','DKI Jakarta','2013-06-30',''],
    ['5395','KCP Thamrin Nine','DKI Jakarta','2013-06-30',''],
    ['7100','KCP Tiang Bendera','DKI Jakarta','2013-06-30',''],
    ['0310','KCP Tomang Raya','DKI Jakarta','2013-06-30',''],
    ['0073','KCP Tomang Tol','DKI Jakarta','2013-06-30',''],
    ['0483','KCP Untar II','DKI Jakarta','2013-06-30',''],
    ['6470','KCP Utama Raya','DKI Jakarta','2013-06-30',''],
    ['5800','KCP Utan Kayu','DKI Jakarta','2013-06-30',''],
    ['0028','KCU WAHID HASYIM','DKI Jakarta','2013-06-30',''],
    ['0478','KCP Wahid Hasyim','DKI Jakarta','2013-06-30',''],
    ['5520','KCP Warung Buncit','DKI Jakarta','2013-06-30',''],
    ['0084','KCU WISMA ASIA','DKI Jakarta','2013-06-30',''],
    ['5435','KCP Wisma Barito','DKI Jakarta','2013-06-30',''],
    ['0459','KCP Wisma Indocement','DKI Jakarta','2013-06-30',''],
    ['0005','KCU WISMA MILLENIA','DKI Jakarta','2013-06-30',''],
    ['5035','KCP Wisma Mulia','DKI Jakarta','2013-06-30',''],
    ['7340','KCP Wisma Nusantara','DKI Jakarta','2013-06-30',''],
    ['5325','KCP Wisma Pondok Indah II','DKI Jakarta','2013-06-30',''],
    ['0482','KCP Wisma Slipi','DKI Jakarta','2013-06-30',''],
    ['5240','KCP Wolter Mongisidi','DKI Jakarta','2013-06-30',''],
    ['8790','KCP WTC Mangga Dua','DKI Jakarta','2013-06-30',''],
    ['5455','KCP WTC Sudirman','DKI Jakarta','2013-06-30',''],
    ['6910','KCP Yos Sudarso','DKI Jakarta','2013-06-30',''],
    ['6370','KCP Muara Karang 2','DKI Jakarta','2013-06-30',''],
    ['0006','KCU SCBD','DKI Jakarta','2013-06-30',''],
    ['0276','KCP Cempaka Putih','DKI Jakarta','2013-06-30',''],
    ['7060','KCP Cempaka Putih Raya','DKI Jakarta','2013-06-30',''],
    ['0240','KCP Cengkeh','DKI Jakarta','2013-06-30',''],
    ['5485','KCP Central Park','DKI Jakarta','2013-06-30',''],
    ['6280','KCP Cibubur','DKI Jakarta','2013-06-30',''],
    ['0397','KCP Cideng Barat','DKI Jakarta','2013-06-30',''],
    ['5980','KCP Cideng Timur','DKI Jakarta','2013-06-30',''],
    ['7330','KCP Cilandak KKO I','DKI Jakarta','2013-06-30',''],
    ['0475','KCP Ciputat 2','DKI Jakarta','2013-06-30',''],
    ['5445','KCP Citra 2 Ext','DKI Jakarta','2013-06-30',''],
    ['0399','KCP Citra Garden','DKI Jakarta','2013-06-30',''],
    ['5390','KCP Citra Garden II','DKI Jakarta','2013-06-30',''],
    ['0319','KCU CITY TOWER','DKI Jakarta','2013-06-30',''],
    ['6070','KCP Cyber 2','DKI Jakarta','2013-06-30',''],
    ['0198','KCU DAAN MOGOT','DKI Jakarta','2013-06-30',''],
    ['8660','KCP Daan Mogot Baru','DKI Jakarta','2013-06-30',''],
    ['8350','KCP Daan Mogot Dua','DKI Jakarta','2013-06-30',''],
    ['0273','KCP Dewi Sartika','DKI Jakarta','2013-06-30',''],
    ['6920','KCP Duri Raya','DKI Jakarta','2013-06-30',''],
    ['7300','KCP Duta Mas Fatmawati','DKI Jakarta','2013-06-30',''],
    ['0308','KCP Duta Merlin','DKI Jakarta','2013-06-30',''],
    ['5255','KCP Empat Enam','DKI Jakarta','2013-06-30',''],
    ['5055','KCP Epicentrum Walk','DKI Jakarta','2013-06-30',''],
    ['0071','KCP Fatmawati','DKI Jakarta','2013-06-30',''],
    ['7480','KCP Gading Bukit Indah','DKI Jakarta','2013-06-30',''],
    ['8710','KCP Gading Riviera','DKI Jakarta','2013-06-30',''],
    ['8700','KCP Gading Square','DKI Jakarta','2013-06-30',''],
    ['0012','KCU GAJAH MADA','DKI Jakarta','2013-06-30',''],
    ['0145','KCP Gatot Subroto','DKI Jakarta','2013-06-30',''],
    ['0498','KCP Gedung Hijau ','DKI Jakarta','2013-06-30',''],
    ['6805','KCP Gedung Jaya','DKI Jakarta','2013-06-30',''],
    ['0082','KCP Glodok Plaza','DKI Jakarta','2013-06-30',''],
    ['0455','KCP Gondongdia Lama','DKI Jakarta','2013-06-30',''],
    ['0375','KCP Graha Inti Fauzi','DKI Jakarta','2013-06-30',''],
    ['6380','KCP Graha Kirana','DKI Jakarta','2013-06-30',''],
    ['5020','KCP Graha Paramita','DKI Jakarta','2013-06-30',''],
    ['8770','KCP Grand Cempaka Mas','DKI Jakarta','2013-06-30',''],
    ['0253','KCU GREEN GARDEN','DKI Jakarta','2013-06-30',''],
    ['7040','KCP Green Ville','DKI Jakarta','2013-06-30',''],
    ['5025','KCP Grha Surya','DKI Jakarta','2013-06-30',''],
    ['6460','KCP Griya Utama','DKI Jakarta','2013-06-30',''],
    ['0268','KCP Grogol Muwardi','DKI Jakarta','2013-06-30',''],
    ['0260','KCP Grogol Permai','DKI Jakarta','2013-06-30',''],
    ['0272','KCP Gudang Peluru','DKI Jakarta','2013-06-30',''],
    ['0003','KCU GUNSA 45','DKI Jakarta','2013-06-30',''],
    ['0212','KCP Gunung Sahari','DKI Jakarta','2013-06-30',''],
    ['6530','KCP Harmoni Plaza','DKI Jakarta','2013-06-30',''],
    ['5230','KCP Hasanudin','DKI Jakarta','2013-06-30',''],
    ['0262','KCP Hasyim Ashari','DKI Jakarta','2013-06-30',''],
    ['0350','KCP Hayam Wuruk','DKI Jakarta','2013-06-30',''],
    ['5700','KCP HR. Rasuna Said','DKI Jakarta','2013-06-30',''],
    ['6250','KCP Intercon Megah','DKI Jakarta','2013-06-30',''],
    ['7140','KCP Iskandar Muda','DKI Jakarta','2013-06-30',''],
    ['5315','KCP Iskandar Muda II','DKI Jakarta','2013-06-30',''],
    ['6640','KCP ITC Kuningan','DKI Jakarta','2013-06-30',''],
    ['5050','KCP ITC Permata Hijau','DKI Jakarta','2013-06-30',''],
    ['5450','KCP ITC Roxi Mas','DKI Jakarta','2013-06-30',''],
    ['5330','KCP ITC Roxy Mas II','DKI Jakarta','2013-06-30',''],
    ['7550','KCP Jalan Panjang','DKI Jakarta','2013-06-30',''],
    ['5990','KCP Jamblang','DKI Jakarta','2013-06-30',''],
    ['8085','KCP Dumai','Dumai','2013-06-30',''],
    ['0446','KCP A. Yani','Garut','2013-06-30',''],
    ['0148','KCU GARUT','Garut','2013-06-30',''],
    ['0416','KCP Gianyar','Gianyar','2013-06-30',''],
    ['0135','KCP Ubud','Gianyar','2013-06-30',''],
    ['7675','KCP Gombong','Gombong','2013-06-30',''],
    ['7975','KCP Gorontalo','Gorontalo','2013-06-30',''],
    ['7900','KCU GRESIK','Gresik','2013-06-30',''],
    ['0150','KCP Gresik','Gresik','2013-06-30',''],
    ['0303','KCP Indramayu','Indramayu','2013-06-30',''],
    ['0302','KCP Jatibarang','Indramayu','2013-06-30',''],
    ['0119','KCU JAMBI','Jambi','2013-06-30',''],
    ['8825','KCP Jebus','Jambi','2013-06-30',''],
    ['8190','KCP Jelutung','Jambi','2013-06-30',''],
    ['7870','KCP Sipin','Jambi','2013-06-30',''],
    ['8575','KCP Talang Banjar','Jambi','2013-06-30',''],
    ['7955','KCP Abepura','Jayapura','2013-06-30',''],
    ['8140','KCU JAYAPURA','Jayapura','2013-06-30',''],
    ['8315','KCP Manokwari','Jayapura','2013-06-30',''],
    ['0332','KCP Ambulu','Jember','2013-06-30',''],
    ['8910','KCP Balung','Jember','2013-06-30',''],
    ['0024','KCU JEMBER','Jember','2013-06-30',''],
    ['0334','KCP Kalisat','Jember','2013-06-30',''],
    ['0333','KCP Rambipuji','Jember','2013-06-30',''],
    ['0147','KCP Tanggul','Jember','2013-06-30',''],
    ['0200','KCP Trunojoyo','Jember','2013-06-30',''],
    ['0247','KCP Jepara','Jepara','2013-06-30',''],
    ['0113','KCU JOMBANG','Jombang','2013-06-30',''],
    ['0265','KCP Mojoagung','Jombang','2013-06-30',''],
    ['7710','KCP Ploso','Jombang','2013-06-30',''],
    ['0327','KCP Palur','Karanganyar','2013-06-30',''],
    ['0378','KCP Cikampek','Karawang','2013-06-30',''],
    ['0109','KCP Karawang','Karawang','2013-06-30',''],
    ['5745','KCP Karawang Tuparev','Karawang','2013-06-30',''],
    ['5765','KCP Rengasdengklok','Karawang','2013-06-30',''],
    ['8070','KCP Karimun','Karimun','2013-06-30',''],
    ['0423','KCP Kebumen','Kebumen','2013-06-30',''],
    ['0298','KCP Joyoboyo','Kediri','2013-06-30',''],
    ['0033','KCU KEDIRI','Kediri','2013-06-30',''],
    ['0403','KCP Wates','Kediri','2013-06-30',''],
    ['0080','KCP Weleri','Kendal','2013-06-30',''],
    ['7910','KCU KENDARI','Kendari','2013-06-30',''],
    ['0461','KCP Kertosono','Kertosono','2013-06-30',''],
    ['8955','KCP Ketapang','Ketapang','2013-06-30',''],
    ['0297','KCU KISARAN','Kisaran','2013-06-30',''],
    ['0030','KCP Klaten','Klaten','2013-06-30',''],
    ['0395','KCP Klungkung','Klungkung','2013-06-30',''],
    ['8110','KCP Kotabumi','Kotabumi','2013-06-30',''],
    ['0031','KCU KUDUS','Kudus','2013-06-30',''],
    ['8365','KCP Pasar Kliwon','Kudus','2013-06-30',''],
    ['0299','KCP Kuningan Cirebon','Kuningan','2013-06-30',''],
    ['0314','KCU KUPANG','Kupang','2013-06-30',''],
    ['7700','KCP Kerobokan','Kuta','2013-06-30',''],
    ['0146','KCU KUTA','Kuta','2013-06-30',''],
    ['7705','KCP Sunset Boulevard','Kuta','2013-06-30',''],
    ['0234','KCP Kutoarjo','Kutoarjo','2013-06-30',''],
    ['8130','KCP Lahat','Lahat','2013-06-30',''],
    ['5610','KCP Babat','Lamongan','2013-06-30',''],
    ['0330','KCP Lamongan','Lamongan','2013-06-30',''],
    ['0316','KCP Lawang','Lawang','2013-06-30',''],
    ['0296','KCU LHOKSEUMAWE','Lhokseumawe','2013-06-30',''],
    ['0057','KCU LUBUK LINGGAU','Lubuk Linggau','2013-06-30',''],
    ['0125','KCP Lumajang','Lumajang','2013-06-30',''],
    ['0387','KCP Pasirian','Lumajang','2013-06-30',''],
    ['8595','KCP Agus Salim','Madiun','2013-06-30',''],
    ['0328','KCP Caruban','Madiun','2013-06-30',''],
    ['0177','KCU MADIUN','Madiun','2013-06-30',''],
    ['0122','KCU MAGELANG','Magelang','2013-06-30',''],
    ['0344','KCP Tidar','Magelang','2013-06-30',''],
    ['7915','KCP Magetan','Magetan','2013-06-30',''],
    ['0418','KCP Jatiwangi','Majalengka','2013-06-30',''],
    ['7990','KCP Kawasan Industri','Makassar','2013-06-30',''],
    ['0025','KCU MAKASSAR','Makassar','2013-06-30',''],
    ['7970','KCP Maricaya','Makassar','2013-06-30',''],
    ['7890','KCU PANAKKUKANG','Makassar','2013-06-30',''],
    ['0158','KCP Pasar Sentral','Makassar','2013-06-30',''],
    ['0390','KCP Pettarani','Makassar','2013-06-30',''],
    ['7325','KCP Ratulangi','Makassar','2013-06-30',''],
    ['0365','KCP RS Jaury Jusuf Putra','Makassar','2013-06-30',''],
    ['0290','KCP Somba Opu','Makassar','2013-06-30',''],
    ['0405','KCP Sulawesi','Makassar','2013-06-30',''],
    ['8735','KCP Tamalanrea','Makassar','2013-06-30',''],
    ['0110','KCP Veteran','Makassar','2013-06-30',''],
    ['0331','KCP Blimbing','Malang','2013-06-30',''],
    ['8160','KCU BOROBUDUR','Malang','2013-06-30',''],
    ['0124','KCP Dampit','Malang','2013-06-30',''],
    ['0315','KCP Dinoyo','Malang','2013-06-30',''],
    ['0440','KCP Galunggung','Malang','2013-06-30',''],
    ['0400','KCP Gatot Subroto','Malang','2013-06-30',''],
    ['0317','KCP Gondanglegi','Malang','2013-06-30',''],
    ['0385','KCP Kawi','Malang','2013-06-30',''],
    ['0123','KCP Kepanjen','Malang','2013-06-30',''],
    ['0062','KCP Kudusan','Malang','2013-06-30',''],
    ['0173','KCP Kyai Tamin','Malang','2013-06-30',''],
    ['0011','KCU MALANG','Malang','2013-06-30',''],
    ['0368','KCP Singosari','Malang','2013-06-30',''],
    ['0439','KCP Sudirman','Malang','2013-06-30',''],
    ['0448','KCP Sukun','Malang','2013-06-30',''],
    ['0318','KCP Sumberpucung','Malang','2013-06-30',''],
    ['0366','KCP Tumpang','Malang','2013-06-30',''],
    ['8295','KCP Boulevard','Manado','2013-06-30',''],
    ['8755','KCP Kotamobagu','Manado','2013-06-30',''],
    ['0026','KCU MANADO','Manado','2013-06-30',''],
    ['7800','KCP Ranotama','Manado','2013-06-30',''],
    ['0170','KCP Tomohon','Manado','2013-06-30',''],
    ['0232','KCP Ampenan','Mataram','2013-06-30',''],
    ['0056','KCU CAKRANEGARA','Mataram','2013-06-30',''],
    ['0202','KCP Sweta-Lombar','Mataram','2013-06-30',''],
    ['0195','KCU ASIA','Medan','2013-06-30',''],
    ['8300','KCP Asia II','Medan','2013-06-30',''],
    ['8305','KCP Asia Mega Mas','Medan','2013-06-30',''],
    ['8005','KCP Best & Grow Tower','Medan','2013-06-30',''],
    ['0383','KCU BUKIT BARISAN','Medan','2013-06-30',''],
    ['8645','KCP Cemara Asri','Medan','2013-06-30',''],
    ['8250','KCP Golden Trade Center','Medan','2013-06-30',''],
    ['8115','KCP HM. Yamin','Medan','2013-06-30',''],
    ['0349','KCP Iskandar Muda','Medan','2013-06-30',''],
    ['8430','KCP Kampung Baru','Medan','2013-06-30',''],
    ['8000','KCP Katamso Medan','Medan','2013-06-30',''],
    ['8195','KCP Kawasan Industri Medan','Medan','2013-06-30',''],
    ['8280','KCP Krakatau','Medan','2013-06-30',''],
    ['0022','KCU MEDAN','Medan','2013-06-30',''],
    ['8075','KCP Plaza Medan Fair','Medan','2013-06-30',''],
    ['0242','KCP Pulau Brayan','Medan','2013-06-30',''],
    ['7780','KCP Pusat Pasar','Medan','2013-06-30',''],
    ['8375','KCP Rahmadsyah','Medan','2013-06-30',''],
    ['8205','KCP Setiabudi','Medan','2013-06-30',''],
    ['8370','KCP Sumatera','Medan','2013-06-30',''],
    ['7860','KCP Surabaya','Medan','2013-06-30',''],
    ['7985','KCP Tanjung Morawa','Medan','2013-06-30',''],
    ['7865','KCP Tomang Elok','Medan','2013-06-30',''],
    ['0293','KCP Bandar Jaya','Metro Lampung','2013-06-30',''],
    ['0117','KCP Metro','Metro Lampung','2013-06-30',''],
    ['0050','KCU MOJOKERTO','Mojokerto','2013-06-30',''],
    ['6105','KCP Mojopahit','Mojokerto','2013-06-30',''],
    ['6140','KCP Mojosari','Mojokerto','2013-06-30',''],
    ['7690','KCP Ngoro','Mojokerto','2013-06-30',''],
    ['8525','KCP Muara Bungo','Muara Bungo','2013-06-30',''],
    ['8120','KCP Muara Enim','Muara Enim','2013-06-30',''],
    ['0104','KCP Muntilan','Muntilan','2013-06-30',''],
    ['0236','KCP Negara','Negara','2013-06-30',''],
    ['0141','KCP Nganjuk','Nganjuk','2013-06-30',''],
    ['8935','KCP Warujayeng','Nganjuk','2013-06-30',''],
    ['7790','KCP Ngawi','Ngawi','2013-06-30',''],
    ['8565','KCP Lubuk Begalung','Padang','2013-06-30',''],
    ['0032','KCU PADANG','Padang','2013-06-30',''],
    ['0163','KCP Pemuda','Padang','2013-06-30',''],
    ['0312','KCP S. Parman','Padang','2013-06-30',''],
    ['8600','KCU PALANGKARAYA','Palangkaraya','2013-06-30',''],
    ['8570','KCP A. Rivai','Palembang','2013-06-30',''],
    ['0114','KCP Dempo','Palembang','2013-06-30',''],
    ['0341','KCP Iskandar','Palembang','2013-06-30',''],
    ['0151','KCP Kenten','Palembang','2013-06-30',''],
    ['6175','KCP Kolonel Haji Burlian','Palembang','2013-06-30',''],
    ['0115','KCP Lemabang','Palembang','2013-06-30',''],
    ['0045','KCP Mesjid Lama','Palembang','2013-06-30',''],
    ['0021','KCU PALEMBANG','Palembang','2013-06-30',''],
    ['8490','KCP Palembang Trade Centre','Palembang','2013-06-30',''],
    ['0116','KCP Ruko Rajawali','Palembang','2013-06-30',''],
    ['8530','KCP Sako Kenten','Palembang','2013-06-30',''],
    ['8435','KCP Seberang Ulu','Palembang','2013-06-30',''],
    ['8815','KCP Sekayu','Palembang','2013-06-30',''],
    ['8555','KCP Sudirman','Palembang','2013-06-30',''],
    ['7930','KCP Palopo','Palopo','2013-06-30',''],
    ['7920','KCU PALU','Palu','2013-06-30',''],
    ['7795','KCP Palu Barat','Palu','2013-06-30',''],
    ['0192','KCP Pamekasan','Pamekasan','2013-06-30',''],
    ['0493','KCP Labuan','Pandeglang','2013-06-30',''],
    ['0041','KCU PANGKAL PINANG','Pangkal Pinang','2013-06-30',''],
    ['8535','KCP Soekarno Hatta','Pangkal Pinang','2013-06-30',''],
    ['8805','KCP Toboali','Pangkal Pinang','2013-06-30',''],
    ['8585','KCP Pangkalan Bun','Pangkalan Bun','2013-06-30',''],
    ['0140','KCP Pare','Pare','2013-06-30',''],
    ['8745','KCP Bone','Parepare','2013-06-30',''],
    ['8460','KCU PAREPARE','Parepare','2013-06-30',''],
    ['0225','KCP Bangil','Pasuruan','2013-06-30',''],
    ['0411','KCP Kejapanan','Pasuruan','2013-06-30',''],
    ['0199','KCP Pandaan','Pasuruan','2013-06-30',''],
    ['0089','KCU PASURUAN','Pasuruan','2013-06-30',''],
    ['8945','KCP Purwosari','Pasuruan','2013-06-30',''],
    ['8940','KCP Juwana','Pati','2013-06-30',''],
    ['0098','KCP Pati','Pati','2013-06-30',''],
    ['0250','KCP Kedungwuni','Pekalongan','2013-06-30',''],
    ['0238','KCU PEKALONGAN','Pekalongan','2013-06-30',''],
    ['0382','KCP Sultan Agung','Pekalongan','2013-06-30',''],
    ['0251','KCP Wiradesa','Pekalongan','2013-06-30',''],
    ['0059','KCP A. Yani','Pekanbaru','2013-06-30',''],
    ['8135','KCP Harapan Raya','Pekanbaru','2013-06-30',''],
    ['0144','KCP Juanda','Pekanbaru','2013-06-30',''],
    ['0220','KCP Nangka','Pekanbaru','2013-06-30',''],
    ['8455','KCP Panam','Pekanbaru','2013-06-30',''],
    ['0034','KCU PEKANBARU','Pekanbaru','2013-06-30',''],
    ['8230','KCP Riau Bisnis Center','Pekanbaru','2013-06-30',''],
    ['0356','KCP Comal','Pemalang','2013-06-30',''],
    ['0132','KCP Pemalang','Pemalang','2013-06-30',''],
    ['8255','KCP Megaland','Pematang Siantar','2013-06-30',''],
    ['8200','KCU PEMATANG SIANTAR','Pematang Siantar','2013-06-30',''],
    ['6870','KCP Pondok Gede Plaza','Pondok Gede','2013-06-30',''],
    ['7400','KCP Time Square Cibubur','Pondok Gede','2013-06-30',''],
    ['0289','KCP Ponorogo','Ponorogo','2013-06-30',''],
    ['7925','KCP Imam Bonjol','Pontianak','2013-06-30',''],
    ['0029','KCU PONTIANAK','Pontianak','2013-06-30',''],
    ['0171','KCP Rahadi Usman','Pontianak','2013-06-30',''],
    ['0371','KCP Sei Pinyuh','Pontianak','2013-06-30',''],
    ['8855','KCP Siantan','Pontianak','2013-06-30',''],
    ['0347','KCP Sultan Muhammad','Pontianak','2013-06-30',''],
    ['8515','KCP Pagar Alam','Prabumulih','2013-06-30',''],
    ['0300','KCU PRABUMULIH','Prabumulih','2013-06-30',''],
    ['0269','KCP Praya','Praya','2013-06-30',''],
    ['8445','KCP Pringsewu','Pringsewu','2013-06-30',''],
    ['0201','KCP Kraksaan','Probolinggo','2013-06-30',''],
    ['0039','KCU PROBOLINGGO','Probolinggo','2013-06-30',''],
    ['0097','KCP Purbalingga','Purbalingga','2013-06-30',''],
    ['0460','KCP Kota Bukit Indah','Purwakarta','2013-06-30',''],
    ['0231','KCU PURWAKARTA','Purwakarta','2013-06-30',''],
    ['0081','KCU PURWODADI','Purwodadi','2013-06-30',''],
    ['0424','KCP Ajibarang','Purwokerto','2013-06-30',''],
    ['0046','KCU PURWOKERTO','Purwokerto','2013-06-30',''],
    ['0358','KCP Pasar Wage','Purwokerto','2013-06-30',''],
    ['0235','KCP Purworejo','Purworejo','2013-06-30',''],
    ['5420','KCP Rangkasbitung','Rangkasbitung','2013-06-30',''],
    ['8235','KCP Rantau Prapat','Rantau Prapat','2013-06-30',''],
    ['7835','KCP Rembang','Rembang','2013-06-30',''],
    ['0013','KCU SALATIGA','Salatiga','2013-06-30',''],
    ['7935','KCP A. Yani','Samarinda','2013-06-30',''],
    ['0254','KCP Abul Hasan','Samarinda','2013-06-30',''],
    ['8355','KCP Antasari','Samarinda','2013-06-30',''],
    ['0027','KCU SAMARINDA','Samarinda','2013-06-30',''],
    ['8615','KCP Samarinda Seberang','Samarinda','2013-06-30',''],
    ['6665','KCP Sambas','Sambas','2013-06-30',''],
    ['8960','KCP Sampang','Sampang','2013-06-30',''],
    ['6695','KCP Sampit','Sampit','2013-06-30',''],
    ['7995','KCP Sangatta','Sangatta','2013-06-30',''],
    ['6700','KCP Sanur Raya','Sanur','2013-06-30',''],
    ['0267','KCP Cinere','Sawangan','2013-06-30',''],
    ['8030','KCP Banyumanik','Semarang','2013-06-30',''],
    ['0182','KCU GANG TENGAH','Semarang','2013-06-30',''],
    ['7960','KCP Gatot Subroto','Semarang','2013-06-30',''],
    ['7830','KCP Grajen','Semarang','2013-06-30',''],
    ['0353','KCP Industri','Semarang','2013-06-30',''],
    ['0017','KCP Kanjengan','Semarang','2013-06-30',''],
    ['8915','KCP Kedungmundu','Semarang','2013-06-30',''],
    ['0462','KCP Majapahit','Semarang','2013-06-30',''],
    ['0252','KCP MT Haryono','Semarang','2013-06-30',''],
    ['8715','KCP Ngaliyan','Semarang','2013-06-30',''],
    ['8360','KCP Pandanaran','Semarang','2013-06-30',''],
    ['8545','KCP Pedurungan','Semarang','2013-06-30',''],
    ['8985','KCP Puri Anjasmoro','Semarang','2013-06-30',''],
    ['0009','KCU SEMARANG','Semarang','2013-06-30',''],
    ['0246','KCP Siliwangi','Semarang','2013-06-30',''],
    ['0409','KCP Suari','Semarang','2013-06-30',''],
    ['8165','KCP Sultan Agung','Semarang','2013-06-30',''],
    ['8035','KCP Tanjung Mas','Semarang','2013-06-30',''],
    ['0426','KCP Telogorejo','Semarang','2013-06-30',''],
    ['6510','KCP Anyer','Serang','2013-06-30',''],
    ['5410','KCP Ciceri','Serang','2013-06-30',''],
    ['0492','KCP Cikande','Serang','2013-06-30',''],
    ['5505','KCP Pasar Lama Serang','Serang','2013-06-30',''],
    ['0245','KCU SERANG','Serang','2013-06-30',''],
    ['0325','KCP Gedangan','Sidoarjo','2013-06-30',''],
    ['6670','KCP Juanda','Sidoarjo','2013-06-30',''],
    ['0184','KCP Krian','Sidoarjo','2013-06-30',''],
    ['0465','KCP Makro Pepelegi','Sidoarjo','2013-06-30',''],
    ['6150','KCP Porong','Sidoarjo','2013-06-30',''],
    ['0271','KCP Sepanjang','Sidoarjo','2013-06-30',''],
    ['0018','KCU SIDOARJO','Sidoarjo','2013-06-30',''],
    ['6155','KCP Suncity','Sidoarjo','2013-06-30',''],
    ['5065','KCP Tropodo','Sidoarjo','2013-06-30',''],
    ['8270','KCU SINGARAJA','Singaraja','2013-06-30',''],
    ['8170','KCU SINGKAWANG','Singkawang','2013-06-30',''],
    ['8665','KCP Sintang','Sintang','2013-06-30',''],
    ['7965','KCP Besuki','Situbondo','2013-06-30',''],
    ['0121','KCU SITUBONDO','Situbondo','2013-06-30',''],
    ['0362','KCP Slawi','Slawi','2013-06-30',''],
    ['8020','KCP Godean','Sleman','2013-06-30',''],
    ['0060','KCP Pingit','Sleman','2013-06-30',''],
    ['0393','KCP Kartasura','Solo','2013-06-30',''],
    ['8175','KCP Nusukan','Solo','2013-06-30',''],
    ['0078','KCP Pasar Klewer','Solo','2013-06-30',''],
    ['0079','KCP Pasar Legi','Solo','2013-06-30',''],
    ['0392','KCP Purwosari','Solo','2013-06-30',''],
    ['0153','KCP Singosaren','Solo','2013-06-30',''],
    ['0015','KCU SOLO SLAMET RIYADI','Solo','2013-06-30',''],
    ['7850','KCU SOLO VETERAN','Solo','2013-06-30',''],
    ['0394','KCP Urip Sumoharjo','Solo','2013-06-30',''],
    ['6135','KCP Sorong','Sorong','2013-06-30',''],
    ['0077','KCP Sragen','Sragen','2013-06-30',''],
    ['0223','KCP Pamanukan','Subang','2013-06-30',''],
    ['0055','KCU SUBANG','Subang','2013-06-30',''],
    ['0352','KCP Cibadak','Sukabumi','2013-06-30',''],
    ['0129','KCP Cicurug','Sukabumi','2013-06-30',''],
    ['0377','KCP Kota Paris','Sukabumi','2013-06-30',''],
    ['0339','KCP Pelabuhan Ratu','Sukabumi','2013-06-30',''],
    ['0038','KCU SUKABUMI','Sukabumi','2013-06-30',''],
    ['0181','KCP Sukabumi Raya','Sukabumi','2013-06-30',''],
    ['7735','KCP Solo Baru','Sukoharjo','2013-06-30',''],
    ['8265','KCP Sukoharjo','Sukoharjo','2013-06-30',''],
    ['7740','KCP Sumedang','Sumedang','2013-06-30',''],
    ['0193','KCP Sumenep','Sumenep','2013-06-30',''],
    ['0118','KCP Sungai Liat','Sungai Liat','2013-06-30',''],
    ['7685','KCP Sungguminasa','Sungguminasa','2013-06-30',''],
    ['0429','KCP A. Yani','Surabaya','2013-06-30',''],
    ['0410','KCP Ambengan','Surabaya','2013-06-30',''],
    ['5060','KCP Babatan Pantai','Surabaya','2013-06-30',''],
    ['0329','KCP Baliwerti','Surabaya','2013-06-30',''],
    ['5190','KCP BG Junction','Surabaya','2013-06-30',''],
    ['6100','KCP Bhayangkara','Surabaya','2013-06-30',''],
    ['8620','KCP Citraland','Surabaya','2013-06-30',''],
    ['0088','KCU DARMO','Surabaya','2013-06-30',''],
    ['0470','KCP Darmo Indah Timur','Surabaya','2013-06-30',''],
    ['0384','KCP Delta Plaza','Surabaya','2013-06-30',''],
    ['0388','KCP Dharmahusada','Surabaya','2013-06-30',''],
    ['0258','KCU DIPONEGORO','Surabaya','2013-06-30',''],
    ['5560','KCP Dupak','Surabaya','2013-06-30',''],
    ['7880','KCU GALAXY','Surabaya','2013-06-30',''],
    ['5100','KCP Gemblongan','Surabaya','2013-06-30',''],
    ['5090','KCP Genteng Kali','Surabaya','2013-06-30',''],
    ['7210','KCP Gunungsari','Surabaya','2013-06-30',''],
    ['8290','KCU HR MUHAMAD','Surabaya','2013-06-30',''],
    ['0468','KCU INDRAPURA','Surabaya','2013-06-30',''],
    ['7290','KCP Jagalan','Surabaya','2013-06-30',''],
    ['0454','KCP Jembatan Merah Plaza','Surabaya','2013-06-30',''],
    ['0101','KCP Kapas Krampung','Surabaya','2013-06-30',''],
    ['0213','KCP Kapasan','Surabaya','2013-06-30',''],
    ['5650','KCP Kapasari','Surabaya','2013-06-30',''],
    ['0103','KCP Kedungdoro','Surabaya','2013-06-30',''],
    ['0226','KCP Kembang Jepun','Surabaya','2013-06-30',''],
    ['0469','KCP Kenjeran','Surabaya','2013-06-30',''],
    ['0152','KCP Kertajaya','Surabaya','2013-06-30',''],
    ['0464','KCP Kertajaya Indah','Surabaya','2013-06-30',''],
    ['0190','KCP Kertopaten','Surabaya','2013-06-30',''],
    ['5200','KCP Klampis','Surabaya','2013-06-30',''],
    ['7220','KCP Krembangan','Surabaya','2013-06-30',''],
    ['6120','KCP Kupang Jaya','Surabaya','2013-06-30',''],
    ['0188','KCP Kusumabangsa','Surabaya','2013-06-30',''],
    ['5550','KCP M. Duryat','Surabaya','2013-06-30',''],
    ['0107','KCP Mangga Dua Surabaya','Surabaya','2013-06-30',''],
    ['0130','KCP Manyar','Surabaya','2013-06-30',''],
    ['0463','KCP Margomulyo','Surabaya','2013-06-30',''],
    ['5600','KCP Margorejo','Surabaya','2013-06-30',''],
    ['7240','KCP Mega Grosir','Surabaya','2013-06-30',''],
    ['0389','KCP Muliosari','Surabaya','2013-06-30',''],
    ['5075','KCP Ngagel Jaya Selatan','Surabaya','2013-06-30',''],
    ['0472','KCP Nginden Semolo','Surabaya','2013-06-30',''],
    ['7230','KCP Pabean','Surabaya','2013-06-30',''],
    ['8725','KCP Pakuwon City','Surabaya','2013-06-30',''],
    ['8630','KCP Pakuwon Tarde Center','Surabaya','2013-06-30',''],
    ['0102','KCP Pasar Atum','Surabaya','2013-06-30',''],
    ['0100','KCP Pasar Turi','Surabaya','2013-06-30',''],
    ['0187','KCP Perak','Surabaya','2013-06-30',''],
    ['5130','KCP Perak Timur','Surabaya','2013-06-30',''],
    ['0216','KCP Pondok Chandra','Surabaya','2013-06-30',''],
    ['5120','KCP Prapen','Surabaya','2013-06-30',''],
    ['0064','KCP Pucang Anom','Surabaya','2013-06-30',''],
    ['0364','KCP Rajawali','Surabaya','2013-06-30',''],
    ['5110','KCP Rich Palace','Surabaya','2013-06-30',''],
    ['5085','KCP Royal Square','Surabaya','2013-06-30',''],
    ['8220','KCU RUNGKUT','Surabaya','2013-06-30',''],
    ['6750','KCP Rungkut Mapan','Surabaya','2013-06-30',''],
    ['6730','KCP Rungkut Megah','Surabaya','2013-06-30',''],
    ['6710','KCP Semarang','Surabaya','2013-06-30',''],
    ['0256','KCP Semut','Surabaya','2013-06-30',''],
    ['7260','KCP Simpang Darmo Permai','Surabaya','2013-06-30',''],
    ['0036','KCP Slompretan ','Surabaya','2013-06-30',''],
    ['0087','KCP Sungkono','Surabaya','2013-06-30',''],
    ['6720','KCP Taman Pondok Indah','Surabaya','2013-06-30',''],
    ['6170','KCP Tandes','Surabaya','2013-06-30',''],
    ['0381','KCP Tembaan','Surabaya','2013-06-30',''],
    ['0214','KCP Tidar','Surabaya','2013-06-30',''],
    ['0014','KCP Tunjungan','Surabaya','2013-06-30',''],
    ['0363','KCP Tunjungan Plaza','Surabaya','2013-06-30',''],
    ['0215','KCP Undaan','Surabaya','2013-06-30',''],
    ['0010','KCU VETERAN','Surabaya','2013-06-30',''],
    ['0142','KCP Tabanan','Tabanan','2013-06-30',''],
    ['8685','KCP Batulicin','Tanah Bumbu','2013-06-30',''],
    ['6040','KCU Alam Sutra','Tangerang','2013-06-30',''],
    ['7620','KCP Aneka Subur Jatake','Tangerang','2013-06-30',''],
    ['7110','KCP Balaraja','Tangerang','2013-06-30',''],
    ['5510','KCP Bandara S/H Term D','Tangerang','2013-06-30',''],
    ['0474','KCP Bintaro Sektor 3','Tangerang','2013-06-30',''],
    ['6800','KCP Bintaro Sentra Menteng','Tangerang','2013-06-30',''],
    ['8990','KCP BSD Sektor I','Tangerang','2013-06-30',''],
    ['7025','KCP Bumi Permata Indah','Tangerang','2013-06-30',''],
    ['8680','KCP Cikokol','Tangerang','2013-06-30',''],
    ['8670','KCP Cipondoh','Tangerang','2013-06-30',''],
    ['7640','KCP Citra Raya','Tangerang','2013-06-30',''],
    ['8880','KCP CKA Cikupa','Tangerang','2013-06-30',''],
    ['7020','KCP Duta Gardenia','Tangerang','2013-06-30',''],
    ['8015','KCP Financial Center','Tangerang','2013-06-30',''],
    ['8830','KCP Gading Serpong','Tangerang','2013-06-30',''],
    ['5475','KCP Graha Raya Bintaro','Tangerang','2013-06-30',''],
    ['8840','KCP Islamic Karawaci','Tangerang','2013-06-30',''],
    ['8330','KCP ITC BSD','Tangerang','2013-06-30',''],
    ['7120','KCP Karawaci','Tangerang','2013-06-30',''],
    ['7010','KCP Metro Permata','Tangerang','2013-06-30',''],
    ['6890','KCP MH Thamrin Tangerang','Tangerang','2013-06-30',''],
    ['6580','KCP Modernland','Tangerang','2013-06-30',''],
    ['0473','KCP Pamulang','Tangerang','2013-06-30',''],
    ['7130','KCP Perum Cibodas','Tangerang','2013-06-30',''],
    ['8820','KCP Plaza Merdeka Mas','Tangerang','2013-06-30',''],
    ['8800','KCP Pondok Cabe Mutiara','Tangerang','2013-06-30',''],
    ['0345','KCP Pondok Lestari','Tangerang','2013-06-30',''],
    ['5940','KCP Poris Indah','Tangerang','2013-06-30',''],
    ['0497','KCU SERPONG','Tangerang','2013-06-30',''],
    ['7610','KCP Supermal Karawaci ','Tangerang','2013-06-30',''],
    ['8010','KCP Taman Tekno','Tangerang','2013-06-30',''],
    ['0108','KCU TANGERANG','Tangerang','2013-06-30',''],
    ['7580','KCP Villa Bandara','Tangerang','2013-06-30',''],
    ['6050','KCP Villa Melati Mas','Tangerang','2013-06-30',''],
    ['0052','KCP Tanjung Balai','Tanjung Balai','2013-06-30',''],
    ['8895','KCP Tanjung Pandan','Tanjung Pandan','2013-06-30',''],
    ['8890','KCP Bintan Center','Tanjung Pinang','2013-06-30',''],
    ['8900','KCP Lagoi','Tanjung Pinang','2013-06-30',''],
    ['0380','KCU TANJUNG PINANG','Tanjung Pinang','2013-06-30',''],
    ['8080','KCP Tanjung Uban','Tanjung Pinang','2013-06-30',''],
    ['8605','KCP Tanjung Redeb','Tanjung Redeb','2013-06-30',''],
    ['7805','KCU TARAKAN','Tarakan','2013-06-30',''],
    ['0208','KCP Ciawi','Tasikmalaya','2013-06-30',''],
    ['0209','KCP Pasar Wetan','Tasikmalaya','2013-06-30',''],
    ['0321','KCP Sutisna Senjaya','Tasikmalaya','2013-06-30',''],
    ['0054','KCU TASIKMALAYA','Tasikmalaya','2013-06-30',''],
    ['0042','KCU TEBING TINGGI','Tebing Tinggi','2013-06-30',''],
    ['0099','KCP Banjaran-Adiwerna','Tegal','2013-06-30',''],
    ['0360','KCP Pasar Pagi Tegal','Tegal','2013-06-30',''],
    ['0047','KCU TEGAL','Tegal','2013-06-30',''],
    ['0155','KCP Parakan','Temanggung','2013-06-30',''],
    ['0154','KCP Temanggung','Temanggung','2013-06-30',''],
    ['8635','KCP Tembilahan','Tembilahan','2013-06-30',''],
    ['8145','KCP Tenggarong','Tenggarong','2013-06-30',''],
    ['7855','KCP Ternate','Ternate','2013-06-30',''],
    ['0324','KCP Trenggalek','Trenggalek','2013-06-30',''],
    ['8240','KCU TUBAN','Tuban','2013-06-30',''],
    ['0323','KCP Ngunut','Tulungagung','2013-06-30',''],
    ['0048','KCU TULUNGAGUNG','Tulungagung','2013-06-30',''],
    ['0222','KCP Ungaran','Ungaran','2013-06-30',''],
    ['0149','KCP Wonogiri','Wonogiri','2013-06-30',''],
    ['8950','KCP Wonosari','Wonosari','2013-06-30',''],
    ['0239','KCP Wonosobo','Wonosobo','2013-06-30',''],
    ['0169','KCP Ahmad Dahlan','Yogyakarta','2013-06-30',''],
    ['0456','KCP Gejayan','Yogyakarta','2013-06-30',''],
    ['8610','KCP Kaliurang','Yogyakarta','2013-06-30',''],
    ['0445','KCP Katamso   ','Yogyakarta','2013-06-30',''],
    ['8465','KCP Kusumanegara','Yogyakarta','2013-06-30',''],
    ['0126','KCP Mangkubumi','Yogyakarta','2013-06-30',''],
    ['8025','KCP Wates','Yogyakarta','2013-06-30',''],
    ['0037','KCU YOGYAKARTA','Yogyakarta','2013-06-30',''],
]
;
# END FRAGMENT id=data
my $data_hash = {};
$data_hash->{$_->[0]} = $_ for @$data;

# BEGIN FRAGMENT id=meta
# note: This section is generated by a script. Do not edit manually!
# src-file: /mnt/home/s1/repos/gudangdata/table/bca_branch/meta.yaml
# src-revision: 0f68335a0c5335936fad32b5b0371fb9d2b05c74
# revision-date: Thu Apr 25 11:18:17 2013 +0700
# generate-date: Tue Jul 30 19:54:50 2013
# generated-by: /mnt/home/s1/repos/gudangdata/bin/gen-perl-meta-snippet
our $meta = {
  "fields" => {
    city_code => {
      "index" => 3,
      "schema" => "str*",
      "sortable" => 1,
      "summary" => "City code, TBD",
      "summary.alt.lang.id_ID" => "Kode kota",
    },
    city_name => {
      "index" => 2,
      "schema" => "str*",
      "sortable" => 1,
      "summary" => "City name",
      "summary.alt.lang.id_ID" => "Nama kota",
    },
    code => {
      "index" => 0,
      "schema" => ["str*", "match", "^\\d{3,4}\$"],
      "sortable" => 1,
      "summary" => "Code",
      "summary.alt.lang.id_ID" => "Kode",
      "unique" => 1,
    },
    ctime => { index => 4, schema => "str*" },
    name => {
      "index" => 1,
      "schema" => "str*",
      "summary" => "Name",
      "summary.alt.lang.id_ID" => "Nama",
    },
    note => { index => 5, schema => "str*" },
  },
  "pk" => "code",
  "summary" => "BCA branches",
  "summary.alt.lang.id_ID" => "Kantor cabang BCA",
  "table_aliases.alt.lang.id_ID" => ["kantor_cabang_bca"],
}
;
# END FRAGMENT id=meta
my $res = gen_read_table_func(
    name => 'list_bca_branches',
    table_data => $data,
    table_spec => $meta,
    default_fields => ['code'],
    #langs => ['en_US', 'id_ID'],
);
die "BUG: Can't generate func: $res->[0] - $res->[1]" unless $res->[0] == 200;

$SPEC{parse_bca_account} = {
    v => 1.1,
    summary => 'Parse/validate BCA account number',
    description => <<'_',

Upon success/valid number, return status 200 with hash containing parsed
information. Upon invalid number, return 400. Parsed information contains these
keys:

- `branch_code`
- `branch_name`
- `branch_city_name` (not yet)
- `branch_city_code` (not yet)
- `account` (10-digits)
- `account_f` (canonically-formatted account number, e.g. 123.456789.0)
- `is_checking` (bool, true if detected as checking account [giro])
- `check_digit`

_
    args => {
        account => {
            schema => 'str*',
            req => 1,
            pos => 0,
        },
        check_known_branches => {
            summary => 'Check branch code against list of known branches',
            schema => [bool => default => 0],
            description => <<'_',

List of known branches

_
        },
    },
};
sub parse_bca_account {
    my %args = @_;

    my $acc = $args{account};
    defined($acc) or return [400, "Please specify account"];
    $acc =~ s/\D+//g;
    length($acc) == 10 or return [400, "Account number must be 10 digits"];

    my $parsed = {account=>$acc};

    my ($branch, $local, $check);
    if ($acc =~ /^[5-9]/) {
        ($branch, $local, $check) = $acc =~ /^(.{4})(.{5})(.)$/;
    } else {
        ($branch, $local, $check) = $acc =~ /^(.{3})(.{6})(.)$/;
    }
    $parsed->{account_f}   = sprintf("%s.%s.%s", $branch, $local, $check);
    $parsed->{branch_code} = $branch;
    $parsed->{check_digit} = $check;

    # XXX validate check digit

    my $fbranch = sprintf "%04d", $branch;
    if ($args{check_known_branches}) {
        $data_hash->{$fbranch} or return [400, "Unknown branch code '$branch'"];
    }
    if (my $bdata = $data_hash->{$fbranch}) {
        $parsed->{branch_name} = $bdata->[1];
        $parsed->{branch_city_name} = $bdata->[2];
        # XXX city_code
    }

    if ($local =~ /^1/) {
        $parsed->{is_checking} = 0; # tahapan
    } elsif ($local =~ /^3/) {
        $parsed->{is_checking} = 1; # giro
    }

    [200, "OK", $parsed];
}

# ABSTRACT: BCA branches

__END__

=pod

=encoding UTF-8

=head1 NAME

Business::ID::BCA - BCA branches

=head1 VERSION

This document describes version 0.08 of Business::ID::BCA (from Perl distribution Business-ID-BCA), released on 2015-09-15.

=head1 SYNOPSIS

 use Business::ID::BCA::Account qw(parse_bca_account);
 my $res = parse_bca_account(account => '6000327555');

=head1 DESCRIPTION

This module parses/validates BCA account number. BCA (Bank Central Asia) is one
of the major banks in Indonesia.

It also contains a routine to list known BCA branches. Data is retrieved from
the Gudang Data project (http://github.com/sharyanto/gudangdata ).

Indonesian keywords: struktur nomor rekening BCA, format rekening BCA, daftar
kode cabang BCA

=head1 FUNCTIONS


=head2 list_bca_branches(%args) -> [status, msg, result, meta]

BCA branches.

REPLACE ME

Arguments ('*' denotes required arguments):

=over 4

=item * B<city_code> => I<str>

Only return records where the 'city_code' field equals specified value.

=item * B<city_code.contains> => I<str>

Only return records where the 'city_code' field contains specified text.

=item * B<city_code.in> => I<array[str]>

Only return records where the 'city_code' field is in the specified values.

=item * B<city_code.is> => I<str>

Only return records where the 'city_code' field equals specified value.

=item * B<city_code.isnt> => I<str>

Only return records where the 'city_code' field does not equal specified value.

=item * B<city_code.max> => I<str>

Only return records where the 'city_code' field is less than or equal to specified value.

=item * B<city_code.min> => I<str>

Only return records where the 'city_code' field is greater than or equal to specified value.

=item * B<city_code.not_contains> => I<str>

Only return records where the 'city_code' field does not contain specified text.

=item * B<city_code.not_in> => I<array[str]>

Only return records where the 'city_code' field is not in the specified values.

=item * B<city_code.xmax> => I<str>

Only return records where the 'city_code' field is less than specified value.

=item * B<city_code.xmin> => I<str>

Only return records where the 'city_code' field is greater than specified value.

=item * B<city_name> => I<str>

Only return records where the 'city_name' field equals specified value.

=item * B<city_name.contains> => I<str>

Only return records where the 'city_name' field contains specified text.

=item * B<city_name.in> => I<array[str]>

Only return records where the 'city_name' field is in the specified values.

=item * B<city_name.is> => I<str>

Only return records where the 'city_name' field equals specified value.

=item * B<city_name.isnt> => I<str>

Only return records where the 'city_name' field does not equal specified value.

=item * B<city_name.max> => I<str>

Only return records where the 'city_name' field is less than or equal to specified value.

=item * B<city_name.min> => I<str>

Only return records where the 'city_name' field is greater than or equal to specified value.

=item * B<city_name.not_contains> => I<str>

Only return records where the 'city_name' field does not contain specified text.

=item * B<city_name.not_in> => I<array[str]>

Only return records where the 'city_name' field is not in the specified values.

=item * B<city_name.xmax> => I<str>

Only return records where the 'city_name' field is less than specified value.

=item * B<city_name.xmin> => I<str>

Only return records where the 'city_name' field is greater than specified value.

=item * B<code> => I<str>

Only return records where the 'code' field equals specified value.

=item * B<code.contains> => I<str>

Only return records where the 'code' field contains specified text.

=item * B<code.in> => I<array[str]>

Only return records where the 'code' field is in the specified values.

=item * B<code.is> => I<str>

Only return records where the 'code' field equals specified value.

=item * B<code.isnt> => I<str>

Only return records where the 'code' field does not equal specified value.

=item * B<code.max> => I<str>

Only return records where the 'code' field is less than or equal to specified value.

=item * B<code.min> => I<str>

Only return records where the 'code' field is greater than or equal to specified value.

=item * B<code.not_contains> => I<str>

Only return records where the 'code' field does not contain specified text.

=item * B<code.not_in> => I<array[str]>

Only return records where the 'code' field is not in the specified values.

=item * B<code.xmax> => I<str>

Only return records where the 'code' field is less than specified value.

=item * B<code.xmin> => I<str>

Only return records where the 'code' field is greater than specified value.

=item * B<ctime> => I<str>

Only return records where the 'ctime' field equals specified value.

=item * B<ctime.contains> => I<str>

Only return records where the 'ctime' field contains specified text.

=item * B<ctime.in> => I<array[str]>

Only return records where the 'ctime' field is in the specified values.

=item * B<ctime.is> => I<str>

Only return records where the 'ctime' field equals specified value.

=item * B<ctime.isnt> => I<str>

Only return records where the 'ctime' field does not equal specified value.

=item * B<ctime.max> => I<str>

Only return records where the 'ctime' field is less than or equal to specified value.

=item * B<ctime.min> => I<str>

Only return records where the 'ctime' field is greater than or equal to specified value.

=item * B<ctime.not_contains> => I<str>

Only return records where the 'ctime' field does not contain specified text.

=item * B<ctime.not_in> => I<array[str]>

Only return records where the 'ctime' field is not in the specified values.

=item * B<ctime.xmax> => I<str>

Only return records where the 'ctime' field is less than specified value.

=item * B<ctime.xmin> => I<str>

Only return records where the 'ctime' field is greater than specified value.

=item * B<detail> => I<bool> (default: 0)

Return array of full records instead of just ID fields.

By default, only the key (ID) field is returned per result entry.

=item * B<fields> => I<array[str]> (default: ["code"])

Select fields to return.

=item * B<name> => I<str>

Only return records where the 'name' field equals specified value.

=item * B<name.contains> => I<str>

Only return records where the 'name' field contains specified text.

=item * B<name.in> => I<array[str]>

Only return records where the 'name' field is in the specified values.

=item * B<name.is> => I<str>

Only return records where the 'name' field equals specified value.

=item * B<name.isnt> => I<str>

Only return records where the 'name' field does not equal specified value.

=item * B<name.max> => I<str>

Only return records where the 'name' field is less than or equal to specified value.

=item * B<name.min> => I<str>

Only return records where the 'name' field is greater than or equal to specified value.

=item * B<name.not_contains> => I<str>

Only return records where the 'name' field does not contain specified text.

=item * B<name.not_in> => I<array[str]>

Only return records where the 'name' field is not in the specified values.

=item * B<name.xmax> => I<str>

Only return records where the 'name' field is less than specified value.

=item * B<name.xmin> => I<str>

Only return records where the 'name' field is greater than specified value.

=item * B<note> => I<str>

Only return records where the 'note' field equals specified value.

=item * B<note.contains> => I<str>

Only return records where the 'note' field contains specified text.

=item * B<note.in> => I<array[str]>

Only return records where the 'note' field is in the specified values.

=item * B<note.is> => I<str>

Only return records where the 'note' field equals specified value.

=item * B<note.isnt> => I<str>

Only return records where the 'note' field does not equal specified value.

=item * B<note.max> => I<str>

Only return records where the 'note' field is less than or equal to specified value.

=item * B<note.min> => I<str>

Only return records where the 'note' field is greater than or equal to specified value.

=item * B<note.not_contains> => I<str>

Only return records where the 'note' field does not contain specified text.

=item * B<note.not_in> => I<array[str]>

Only return records where the 'note' field is not in the specified values.

=item * B<note.xmax> => I<str>

Only return records where the 'note' field is less than specified value.

=item * B<note.xmin> => I<str>

Only return records where the 'note' field is greater than specified value.

=item * B<query> => I<str>

Search.

=item * B<random> => I<bool> (default: 0)

Return records in random order.

=item * B<result_limit> => I<int>

Only return a certain number of records.

=item * B<result_start> => I<int> (default: 1)

Only return starting from the n'th record.

=item * B<sort> => I<str>

Order records according to certain field(s).

A list of field names separated by comma. Each field can be prefixed with '-' to
specify descending order instead of the default ascending.

=item * B<with_field_names> => I<bool>

Return field names in each record (as hash/associative array).

When enabled, function will return each record as hash/associative array
(field name => value pairs). Otherwise, function will return each record
as list/array (field value, field value, ...).

=back

Returns an enveloped result (an array).

First element (status) is an integer containing HTTP status code
(200 means OK, 4xx caller error, 5xx function error). Second element
(msg) is a string containing error message, or 'OK' if status is
200. Third element (result) is optional, the actual result. Fourth
element (meta) is called result metadata and is optional, a hash
that contains extra information.

Return value:  (any)


=head2 parse_bca_account(%args) -> [status, msg, result, meta]

Parse/validate BCA account number.

Upon success/valid number, return status 200 with hash containing parsed
information. Upon invalid number, return 400. Parsed information contains these
keys:

=over

=item * C<branch_code>

=item * C<branch_name>

=item * C<branch_city_name> (not yet)

=item * C<branch_city_code> (not yet)

=item * C<account> (10-digits)

=item * C<account_f> (canonically-formatted account number, e.g. 123.456789.0)

=item * C<is_checking> (bool, true if detected as checking account [giro])

=item * C<check_digit>

=back

Arguments ('*' denotes required arguments):

=over 4

=item * B<account>* => I<str>

=item * B<check_known_branches> => I<bool> (default: 0)

Check branch code against list of known branches.

List of known branches

=back

Returns an enveloped result (an array).

First element (status) is an integer containing HTTP status code
(200 means OK, 4xx caller error, 5xx function error). Second element
(msg) is a string containing error message, or 'OK' if status is
200. Third element (result) is optional, the actual result. Fourth
element (meta) is called result metadata and is optional, a hash
that contains extra information.

Return value:  (any)

=head1 BUGS/NOTES

Check digit checking is not implemented yet. Anybody knows the algorithm used?

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Business-ID-BCA>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Business-ID-BCA>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Business-ID-BCA>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
